# Uses of Class
org.eclipse.mat.snapshot.model.GCRootInfo

Packages that use GCRootInfo
Package
Description
org.eclipse.mat.inspections.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.

## Uses of GCRootInfo in org.eclipse.mat.inspections.collectionextract

Methods in org.eclipse.mat.inspections.collectionextract that return GCRootInfo
Modifier and Type
Method
Description
`GCRootInfo[]`
AbstractExtractedCollection.`getGCRootInfo()`
`GCRootInfo[]`
IMapExtractor.EntryObject.`getGCRootInfo()`

## Uses of GCRootInfo in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return GCRootInfo
Modifier and Type
Method
Description
`GCRootInfo[]`
SnapshotImpl.`getGCRootInfo(int objectId)`

## Uses of GCRootInfo in org.eclipse.mat.parser.model

Subclasses of GCRootInfo in org.eclipse.mat.parser.model
Modifier and Type
Class
Description
`final class`
`XGCRootInfo`
Holds details about a garbage collection root.
Methods in org.eclipse.mat.parser.model that return GCRootInfo
Modifier and Type
Method
Description
`GCRootInfo[]`
AbstractObjectImpl.`getGCRootInfo()`

## Uses of GCRootInfo in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return GCRootInfo
Modifier and Type
Method
Description
`GCRootInfo[]`
ISnapshot.`getGCRootInfo(int objectId)`
Get the GC root info for an object.

## Uses of GCRootInfo in org.eclipse.mat.snapshot.model

Methods in org.eclipse.mat.snapshot.model that return GCRootInfo
Modifier and Type
Method
Description
`GCRootInfo[]`
ThreadToLocalReference.`getGcRootInfo()`
The description of the thread root information.
`GCRootInfo[]`
IObject.`getGCRootInfo()`
Get `GCRootInfo` if the object is a garbage collection root or null otherwise.
Methods in org.eclipse.mat.snapshot.model with parameters of type GCRootInfo
Modifier and Type
Method
Description
`static String`
GCRootInfo.`getTypeSetAsString(GCRootInfo[] roots)`
A combined representation of the types of several roots.
Constructors in org.eclipse.mat.snapshot.model with parameters of type GCRootInfo
Modifier
Constructor
Description
``
`ThreadToLocalReference(ISnapshot snapshot, long address, String name, int localObjectId, GCRootInfo[] gcRootInfo)`
Create a thread to local reference